Bug 7170 - getpwnam for users from outbound only trusts fails randomly
getpwnam for users from outbound only trusts fails randomly
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Winbind
3.5.0rc3
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-23 03:23 UTC by Stefan Metzmacher
Modified: 2010-03-02 06:43 UTC (History)
1 user (show)

See Also:


Attachments
Patch for v3-5 (1.25 KB, patch)
2010-02-23 03:43 UTC, Stefan Metzmacher
obnox: review+
Details
Patch for v3-4 (1.25 KB, patch)
2010-02-23 04:04 UTC, Stefan Metzmacher
obnox: review+
Details
Patch for v3-3 (1.25 KB, patch)
2010-02-23 04:05 UTC, Stefan Metzmacher
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2010-02-23 03:23:24 UTC
The reason is that we sometimes mark outbound only trusted domains
as 'internal'. This let winbindd use the builtin_passdb_methods for this
domain.

There's a race at startup that prevends the mark as 'internal' sometimes,
that's why it works sometimes and sometimes not.

I think we should add that to v3-3-test, v3-4-test, v3-5-test and master.
Comment 1 Stefan Metzmacher 2010-02-23 03:43:56 UTC
Created attachment 5414 [details]
Patch for v3-5
Comment 2 Michael Adam 2010-02-23 03:47:14 UTC
assigning to Karolin after review.
Comment 3 Stefan Metzmacher 2010-02-23 04:04:49 UTC
Created attachment 5415 [details]
Patch for v3-4
Comment 4 Stefan Metzmacher 2010-02-23 04:05:57 UTC
Created attachment 5416 [details]
Patch for v3-3
Comment 5 Michael Adam 2010-02-23 04:06:09 UTC
Comment on attachment 5415 [details]
Patch for v3-4

Yes, we need this for 3.4, too!
Comment 6 Michael Adam 2010-02-23 05:33:59 UTC
Comment on attachment 5416 [details]
Patch for v3-3

also for 3.3
Comment 7 Karolin Seeger 2010-02-23 05:36:33 UTC
Pushed patch to v3-3-test.
Will be included in 3.3.11.
Comment 8 Karolin Seeger 2010-02-25 03:11:48 UTC
Pushed to v3-4-test. Will be included in 3.4.7.
Comment 9 Karolin Seeger 2010-02-25 03:13:21 UTC
3.5 patch will be included in 3.5.1.
v3-5-test is frozen and only blocker bugs will be fixed for 3.5.0.
Comment 10 Karolin Seeger 2010-03-02 06:43:59 UTC
Pushed to v3-5-test also.
Closing out bug report.

Thanks!